about summary refs log tree commit diff
path: root/pkgs/development/interpreters/php/fix.patch
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2010-07-29 07:02:26 +0000
committerEelco Dolstra <eelco.dolstra@logicblox.com>2010-07-29 07:02:26 +0000
commitb1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd (patch)
treebc445258ba62ca34079a860fc63fac50c2a86d7c /pkgs/development/interpreters/php/fix.patch
parent5b2dcdd24de2ce47dd56652a0c3854c8e4ee2cf5 (diff)
downloadnixlib-b1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd.tar
nixlib-b1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd.tar.gz
nixlib-b1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd.tar.bz2
nixlib-b1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd.tar.lz
nixlib-b1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd.tar.xz
nixlib-b1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd.tar.zst
nixlib-b1afe4e7ac3ab47d73bc1f748cc406e8e4910ecd.zip
* Finish renaming.
svn path=/nixpkgs/trunk/; revision=22801
Diffstat (limited to 'pkgs/development/interpreters/php/fix.patch')
-rw-r--r--pkgs/development/interpreters/php/fix.patch56
1 files changed, 56 insertions, 0 deletions
diff --git a/pkgs/development/interpreters/php/fix.patch b/pkgs/development/interpreters/php/fix.patch
new file mode 100644
index 000000000000..1cec8fea0fe2
--- /dev/null
+++ b/pkgs/development/interpreters/php/fix.patch
@@ -0,0 +1,56 @@
+--- php-5.0.4/configure	2005-04-03 11:42:50.000000000 +0200
++++ php-5.0.4-1/configure	2005-07-10 11:06:22.292271176 +0200
+@@ -3381,7 +3381,7 @@
+ 
+   case $host_alias in
+   *aix*)
+-    APXS_LIBEXECDIR=`$APXS -q LIBEXECDIR`
++    APXS_LIBEXECDIR="$prefix/modules"
+     EXTRA_LDFLAGS="$EXTRA_LDFLAGS -Wl,-brtl -Wl,-bI:$APXS_LIBEXECDIR/httpd.exp"
+     PHP_AIX_LDFLAGS="-Wl,-brtl"
+     build_type=shared
+@@ -3576,7 +3576,7 @@
+   if test "$?" != "0"; then
+     APACHE_INSTALL="$APXS -i -a -n php5 $SAPI_SHARED" # Old apxs does not have -S option
+   else 
+-    APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
++    APXS_LIBEXECDIR="$prefix/modules"
+     if test -z `$APXS -q SYSCONFDIR`; then
+       APACHE_INSTALL="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
+                        $APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \
+@@ -4680,7 +4680,7 @@
+     { echo "configure: error: Please note that Apache version >= 2.0.40 is required." 1>&2; exit 1; }
+   fi
+ 
+-  APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
++  APXS_LIBEXECDIR="$prefix/modules"
+   if test -z `$APXS -q SYSCONFDIR`; then
+     INSTALL_IT="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
+                  $APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \
+@@ -5510,7 +5510,7 @@
+     { echo "configure: error: Please note that Apache version >= 2.0.44 is required." 1>&2; exit 1; }
+   fi
+ 
+-  APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
++  APXS_LIBEXECDIR="$prefix/modules"
+   if test -z `$APXS -q SYSCONFDIR`; then
+     INSTALL_IT="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
+                  $APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \
+@@ -6327,7 +6327,7 @@
+ 
+   case $host_alias in
+   *aix*)
+-    APXS_LIBEXECDIR=`$APXS -q LIBEXECDIR`
++    APXS_LIBEXECDIR="$prefix/modules"
+     EXTRA_LDFLAGS="$EXTRA_LDFLAGS -Wl,-brtl -Wl,-bI:$APXS_LIBEXECDIR/httpd.exp"
+     PHP_AIX_LDFLAGS="-Wl,-brtl"
+     build_type=shared
+@@ -6522,7 +6522,7 @@
+   if test "$?" != "0"; then
+     APACHE_HOOKS_INSTALL="$APXS -i -a -n php5 $SAPI_SHARED" # Old apxs does not have -S option
+   else 
+-    APXS_LIBEXECDIR='$(INSTALL_ROOT)'`$APXS -q LIBEXECDIR`
++    APXS_LIBEXECDIR="$prefix/modules"
+     if test -z `$APXS -q SYSCONFDIR`; then
+       APACHE_HOOKS_INSTALL="\$(mkinstalldirs) '$APXS_LIBEXECDIR' && \
+                        $APXS -S LIBEXECDIR='$APXS_LIBEXECDIR' \